from edge_engine.common.logsetup import logger
from edge_engine.streamio.datastream.datastreamwrapper import DataStreamWrapper


class DummyPublisher(DataStreamWrapper):
    def __init__(self, name):
        super().__init__()
        self.name = name

    def publish(self, x):
        logger.warn(f"{self.name} Publisher is not configured but you are using it !!!!!!!!!")
